Difference between revisions of "Arch Rebar BentShape/it"

From FreeCAD Documentation
Jump to navigation Jump to search
Line 2: Line 2:
 
{{Docnav/it|[[Arch_Rebar_LShape/it|Armatura a L]]|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}
 
{{Docnav/it|[[Arch_Rebar_LShape/it|Armatura a L]]|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}
  
<div class="mw-translate-fuzzy">
 
 
{{GuiCommand/it
 
{{GuiCommand/it
 
|Name=Arch_Rebar_BentShape
 
|Name=Arch_Rebar_BentShape
 
|Name/it=Armatura sagomata
 
|Name/it=Armatura sagomata
|MenuLocation=Arch → Strumenti armatura → Armatura sagomata
+
|MenuLocation=Arch → Strumenti armatura → Armatura sagomata o 3D/BIM → Reinforcement → Bent-Shape Rebar
 
|Workbenches=[[Reinforcement Workbench/it|Reinforcement]], [[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
 
|Workbenches=[[Reinforcement Workbench/it|Reinforcement]], [[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
 
|SeeAlso=[[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch Rebar/it|Armatura personalizzata]]
 
|SeeAlso=[[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch Rebar/it|Armatura personalizzata]]
 
|Version=0.17
 
|Version=0.17
 
}}
 
}}
</div>
 
  
 
==Descrizione==
 
==Descrizione==

Revision as of 20:56, 23 September 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar LShape.svg Armatura a L Pagina precedente:
Pagina successiva: Staffe armatura Arch Rebar Stirrup.svg Arrow-right.svg

Arch Rebar BentShape.svg Armatura sagomata

Nome nel codice
Arch_Rebar_BentShape
Posizione nel menu
Arch → Strumenti armatura → Armatura sagomata o 3D/BIM → Reinforcement → Bent-Shape Rebar
Ambiente
Reinforcement, Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Staffe armatura, Armatura personalizzata


Descrizione

Lo strumento Armatura sagomata consente all'utente di creare una serie di barre d'armatura piegate all'interno di un oggetto Struttura.

Questo comando fa parte dell'ambiente aggiuntivo Reinforcement, che si può installare con AddonManager.svg Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar BentShape example.png

Due serie di barre di rinforzo piegate all'interno di una Struttura


Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar BentShape.svg Armatura sagomata dagli strumenti dell'armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come quello sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
  6. Selezionare la modalità di distribuzione per 'Amount' (la quantità) o per 'Spacing' (la spaziatura).
  7. Pick Selected Face serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  8. Cliccare OK o Apply per generare l'armatura.
  9. Cliccare Cancel per uscire dal pannello delle azioni.
BentShapeDialog.png

Pannello Azioni per lo strumento Armatura sagomata di Arch


Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiAnchor Length: È la lunghezza del braccio della barra piegata.
  • DatiBent Angle: L'angolo di piega
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura sagomata può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • f_cover, b_cover, l_cover, r_cover, e t_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • rounding è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
  • bentLength e bentAngle definisce la lunghezza della punta delle barre di rinforzo e l'angolo di piegatura al centro dalle barre.
  • Se amount_spacing_check è True crea tante barre di rinforzo quante sono definite da amount_spacing_value; se è False crea le barre di rinforzo separate dal valore numerico indicato in amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in amount_spacing_check.
  • orientation specifica l'orientamento della barra d'armatura; può essere "Bottom", "Top", "Left", o "Right".

Esempio

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar è l'oggetto BentShapeRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeBentShapeRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")
Arrow-left.svg Arch Rebar LShape.svg Armatura a L Pagina precedente:
Pagina successiva: Staffe armatura Arch Rebar Stirrup.svg Arrow-right.svg